aboutsummaryrefslogtreecommitdiff
path: root/tools/gator/debian/gator-module-dkms.prerm
diff options
context:
space:
mode:
authorAndy Green <andy.green@linaro.org>2012-12-06 01:19:34 +0000
committerAndy Green <andy.green@linaro.org>2012-12-06 01:19:34 +0000
commit1bad36ba621ecccd458f14f78e8c06318ff50eba (patch)
treea1c776559dd3e2d9f15b17f424c5242aa7a8b7e5 /tools/gator/debian/gator-module-dkms.prerm
parentd27f7baf4aa6f372ad1ae0b91be4432fa2c1b7fa (diff)
parent6ac7ca6564ceae387c498a20549512769743e1cc (diff)
Merge branch 'a-linux-linaro-core-3.4' into tilt-3.4tracking-tilt-3.4-llt-20121210.0tracking-tilt-3.4-llt-20121206.0
Conflicts: arch/arm/vfp/entry.S
Diffstat (limited to 'tools/gator/debian/gator-module-dkms.prerm')
-rwxr-xr-xtools/gator/debian/gator-module-dkms.prerm29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/gator/debian/gator-module-dkms.prerm b/tools/gator/debian/gator-module-dkms.prerm
new file mode 100755
index 000000000000..cf0b5f99da76
--- /dev/null
+++ b/tools/gator/debian/gator-module-dkms.prerm
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+NAME=gator-module
+PACKAGE_NAME=$NAME-dkms
+VERSION=`dpkg-query -W -f='${Version}' $PACKAGE_NAME | awk -F "-" '{print $1}' | cut -d\: -f2`
+
+set -e
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ if [ "`dkms status -m $NAME`" ]; then
+ dkms remove -m $NAME -v $VERSION --all
+ fi
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+